Subject: Re: bug#36803: 27.0.50; Update mode-line of every window when compilation ends

From: Eli Zaretskii <[email-masked]>
Date: Sat, 27 Jul 2019 09:57:50 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Stefan Monnier <[email-masked]>,  [email-masked],
>   [email-masked]
> Date: Fri, 26 Jul 2019 21:35:14 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > If the call to force-mode-line-update is the solution you suggest,
> > then I think it is not a good solution.  We cannot rely in a call to
> > force-mode-line-update, because there's the default sentinel, and
> > because it's unreasonable to request each sentinel written in Lisp to
> > make that call.  If every sentinel must do that, then the core should
> > do that for them.
> 
> Well, when I was looking at where to move the "Compiling"
> sort-of-lighter (from out of minor-mode-alist where it didn't belong), I
> was looking for other modes that display things in mode lines in all
> buffers -- and there doesn't seem to be many.

I'm not talking about just any change to the mode line.  I'm talking
specifically about the process status indicator there.  The process
status change is detected by the C code, so that's where we should
make sure the mode line gets updated regarding the process status.